پرش به مستندات
API

تغییر یک یادداشت

متنش، رنگش یا سنجاق‌شدنش.

PATCH/threads/{id}/notes/{noteId}

فراخوانی واقعی را روی فضای کاری شما اجرا می‌کند.

PATCH /threads/{id}/notes/{noteId}

متنش، رنگش یا سنجاق‌شدنش.

نمونه

به threads:write نیاز دارد. دست‌کم یکی از content، color و pinned را بدهید.

curl
curl -X PATCH "$OE/threads/thr_7c1e4a90/notes/b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d" -H "$AUTH" \  -H "Content-Type: application/json" -d '{ "pinned": false }'
پاسخ
{  "object": "note",  "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d",  "threadId": "thr_7c1e4a90",  "content": "Waiting on the signed contract before replying.",  "color": "yellow",  "pinned": false,  "order": 4,  "createdAt": "2026-09-30T09:12:44.000Z",  "updatedAt": "2026-09-30T09:12:44.000Z"}

شناسهٔ یادداشتی که روی این رشته نیست 404 است، حتی اگر آن یادداشت روی رشتهٔ دیگری باشد.

مرجع